package unifm;

import com.one.Accelerometer;
import com.one.file.ConnectionProvider;
import com.one.file.GenericConnectionProvider;
import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.Display;
import java.io.InputStream;
import javax.microedition.midlet.MIDletStateChangeException;

public class Browser extends MIDlet implements com.one.RootLoader
{
	protected Browser ref;
	protected filemanager.main app;

	public Browser()
	{
		ref = this;
		app = new filemanager.main(this);
	}

	public void startApp() throws MIDletStateChangeException
	{
		app.startApp();
	}

	public void pauseApp()
	{
		app.pauseApp();
	}

	public void destroyApp(boolean unc) throws MIDletStateChangeException
	{
		app.destroyApp(unc);
	}

	public void restartApp()
	{
		app.restartApp();
	}

	public Display getDisplay()
	{
		return Display.getDisplay(this);
	}

	public InputStream getResourceAsStream(String resource)
	{
		return ref.getClass().getResourceAsStream(resource);
	}

	public Accelerometer getAccelerometer()
	{
		return null;
	}

	public ConnectionProvider getConnectionProvider()
	{
		return new GenericConnectionProvider();
	}

	public boolean useNoEffects()
	{
		return true;
	}
}
